Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## pulling.availability_predection
Enum WeekDay

    java.lang.Object
      java.lang.Enum<WeekDay>
          pulling.availability_predection.WeekDay

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WeekDay>

    public enum WeekDay

extends java.lang.Enum<WeekDay>

It the weekday enumeration used in the file created by the AvailabilityLogger

Author:
  Majd Kokaly

Enum Constant Summary
`FRIDAY` Friday
`MONDAY` Monday
`SATURDAY` Saturday
`SUNDAY` Sunday
`THURSDAY` Thursday
`TUESDAY` Tuesday
`WEDNESDAY` Wednesday

Method Summary
`static WeekDay` | `getWeekDay(java.util.Calendar calendar)` Simple Mapping between java.util.Calendar and WeekDay enumaration
`static WeekDay` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WeekDay[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MONDAY

    public static final WeekDay MONDAY

  Monday

### TUESDAY

    public static final WeekDay TUESDAY

  Tuesday

### WEDNESDAY

    public static final WeekDay WEDNESDAY

  Wednesday

### THURSDAY

    public static final WeekDay THURSDAY

  Thursday

### FRIDAY

    public static final WeekDay FRIDAY

  Friday

### SATURDAY

    public static final WeekDay SATURDAY

  Saturday

### SUNDAY

    public static final WeekDay SUNDAY

  Sunday

Method Detail

### values

    public static final WeekDay[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WeekDay c : WeekDay.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WeekDay valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getWeekDay

    public static WeekDay getWeekDay(java.util.Calendar calendar)

  Simple Mapping between java.util.Calendar and WeekDay enumaration

  Parameters:
    `calendar` - an instance of type java.util.Calendar
  Returns:
    The WeekDay of this calendar (date).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD